Skip to main content

Create invoice

POSThttps://api.propexo.com/v1/invoices/

Create an invoice for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    vendor_idstring

    The Propexo unique identifier for the vendor

    invoice_datestring<date-time>

    The date of issuance for the invoice

    due_datestring<date-time>

    The due date associated with the invoice

    invoice_items object[]
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    total_amount_in_centsnumberrequired

    The amount of the invoice item, in cents

    notesstringrequired

    Notes associated with the invoice item

  • ]
  • descriptionstring

    Description of the invoice

    invoice_numberstring

    The invoice or reference number that the vendor assigned to the service request

    service_request_idstring

    The Propexo unique identifier for the service request

    vendor_location_idstring

    The Propexo unique identifier for the vendor location

    total_amount_in_centsnumber

    The amount of the invoice, in cents

    ap_financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    post_monthstring

    The post month for the invoice. We will strip all data out of the datetime except the year and month.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    discount_amount_in_centsnumber

    The discount, in cents, of the invoice. This amount will be applied prior to the total amount being calculated.

    notesstring

    Notes associated with the invoice

    attachments object[]

    Files to upload for the invoice. All the files can have a maximum combined file size of 50 MB

  • Array [
  • file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

  • ]
  • partner_namestring

    The name of your integration with MRI

    scanned_copy_urlstring

    The URL assigned to the copy of the original invoice that was imported from a third-party system

    purchase_order_numberstring

    Set this parameter to the purchase order number that contains the line items to be invoiced. MRI will validate and link the invoice to the specified purchase order for processing.

    separate_checkboolean

    Whether to group the invoice payment on the same check with other invoices or pay the invoice separately on its own check

    location_idstring

    The Propexo unique identifier for the location

    post_datestring

    The post date for the invoice.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    property_idstring

    The Propexo unique identifier for the property

    accounting_datestring

    The accounting date of the invoice. If this isn't provided, ResMan defaults this to the invoice date.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    memostring

    Memo of the invoice

    cash_financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    expense_typestring

    The expense type of the invoice. You'll have to request this data from your customer

    display_typestring

    The display type of the invoice. You'll have to request this data from your customer

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/invoices/
curl -X POST https://api.propexo.com/v1/invoices/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}